home:sp1rit

No description set
Name Changed
Comments 7

Gene Snider's avatar

I use your pulseeffects package with pipewire. Would you build calf and lv2-calf to work with pipewire? I believe you just need to change the "Requires: jack" to "Requires: pipewire-libjack-0_3" in the spec file. That is the full package name shown by zypper. I removed the jack packages, installed pipewire-libjack-0_3, then installed calf and lv2-calf telling zypper to break the dependency on jack. The necessary .so file, libjack.so.0, is provided by pipewire-libjack-0_3, and everything, including calfjackhost seems to be working correctly.

Thanks,

Gene


Florian's avatar

Hi, considered using easyeffects from factory?

Upstream decided to rename itself from pulseeffects to easyeffects, after moving from pulseaudio to pipewire. this right here is some intermediate version that I didn't really intend to update further after the namechange.

Is there anything openSUSE:Factory/easyeffects has missing which home:sp1rit/pulseeffects has?


Gene Snider's avatar

Thank you for the information about easyeffects, I will switch to that. Do you know of any similar package for calf/lv2-calf that works with pipewire-libjack instead of jack?

Thanks

Gene


Florian's avatar

It seems to me that calf works without any issues with the drop in jack library provided by pipewire.

I've taken a look at the spec file for calf (http://packman.jacobs-university.de/suse/openSUSE_Tumbleweed/Multimedia/src/calf-0.90.3-3.17.src.rpm) at for some reason they add an explicit Requires: jack, even tho rpm figures libjack.so.0()(64bit) (provided by both jack and pipewire's jack dropin) as a dependency out by itself.

I don't actually know why calf is not built here on obs (and for Factory) but only by the packman guys.

You could either ask on their mailing list, why this explicit jack dep was added and in case it is not needed anymore, if they could remove it. Or you could upload the source package here on OBS and remove the Requires: jack line yourself. This should work, assuming all build deps of calf are in factory already. (If I have some time, I might do this myself for this repo right here)


Gene Snider's avatar

I opened an issue, https://github.com/wwmm/easyeffects/issues/1106, about the dark theme in easyeffects not working. This appears to be because MATE doesn't support gtk4 yet. I may be switching back to your version of pulseeffects if there are stabiliity issues.

Gene


Florian's avatar

yeah, there aren't that many gtk4 themes yet. However you should be able to use Adwaita's dark theme by running GTK_THEME=Adwaita-dark easyeffects.


Gene Snider's avatar

Thanks for that tip. Since gtk4 is becoming more available, I just switched my system theme to Adwaita-dark.

Gene

openSUSE Build Service is sponsored by